Bug 680562 - Need to add GPT Legacy BIOS Bootable flag support
Need to add GPT Legacy BIOS Bootable flag support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-25 17:13 EST by Brian Lane
Modified: 2011-05-26 17:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-11 20:36:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add GPT Legacy BIOS Bootable flag to Attribute struct (1.12 KB, patch)
2011-02-25 17:14 EST, Brian Lane
no flags Details | Diff
Add legacy_boot flag support (5.82 KB, patch)
2011-02-25 17:15 EST, Brian Lane
no flags Details | Diff

  None (edit)
Description Brian Lane 2011-02-25 17:13:31 EST
In order for syslinux's gptmbr.bin to work with UEFI systems we need to be able to set the Legacy boot flag on GPT partitions. This is used with livecd-iso-to-disk when creating a bootable USB drive that works on BIOS and UEFI systems.
Comment 1 Brian Lane 2011-02-25 17:14:34 EST
Created attachment 481094 [details]
Add GPT Legacy BIOS Bootable flag to Attribute struct
Comment 2 Brian Lane 2011-02-25 17:15:05 EST
Created attachment 481095 [details]
Add legacy_boot flag support
Comment 3 Brian Lane 2011-02-25 17:15:42 EST
The attached patches work, but should wait until after Alpha is released to be added.
Comment 4 Fedora Update System 2011-05-26 17:06:54 EDT
parted-2.3-9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/parted-2.3-9.fc15

Note You need to log in before you can comment on or make changes to this bug.